# -*- coding:utf-8 -*-
import os


class Config:
    # 1、mysql连接信息
    MYSQL_CONNECTION = os.getenv("MYSQL_CONNECTION",
                                 "mysql+pymysql://root:huansi.net@47.110.145.204:30619/jkq_novel?charset=utf8")
    # 2、mssql连接信息
    MSSQL_CONNECTION = os.getenv("MSSQL_CONNECTION", "mssql+pymssql://huansi:huansi@47.97.206.38:9610/HsGmtMes")
    # 3、偏差时间
    DEVIATION_TIME = os.getenv("DEVIATION_TIME", "120")
    # 4、同步表脚本
    TABLE_IM_ARRIVE = """CREATE TABLE IF NOT EXISTS im_arrive
(
    id                BIGINT                           AUTO_INCREMENT  PRIMARY KEY,
    bill_no           VARCHAR(20)                     NOT NULL,
    bill_date         DATE           NOT NULL,
    bill_status       INT            DEFAULT 0         NOT NULL,
    create_time       DATETIME        NOT NULL,
    material_category INT            DEFAULT 16        NOT NULL,
    customer_name     VARCHAR(50)   DEFAULT ''        NOT NULL,
    provider_name     VARCHAR(50)   DEFAULT ''        NOT NULL
)"""
