# -*- coding:utf-8 -*-
'''
获取所有docker容器内的版本文件
'''
import os

if __name__ == '__main__':
    # 获取所有启动的容器
    with os.popen("docker ps | awk '{print $1,$2}'") as f:
        docker_containers = f.read()
    # 根据启动的容器，依次获取内部的version.txt，版本文件
    container_list = docker_containers.split("\n")
    verison_info = ""
    for container_str in container_list:
        if (container_str == "CONTAINER ID" or not container_str):
            continue
        container = container_str.split(" ")
        c_id = container[0]
        c_image = container[1]
        get_version_cmd = f"docker exec -it {c_id} cat version.txt"
        with os.popen(get_version_cmd) as f:
            print(f"正在获取镜像{c_image}版本")
            get_version_result = f.read()
            # 记录
            verison_info += f"镜像:{c_id}-{c_image},获取版本结果为:\n{get_version_result}\n"

    # 写入文件
    with open("get_all_container_version.txt", 'w') as f:
        f.write(verison_info)
