# -*- coding:utf-8 -*-
import os

if __name__ == '__main__':
    file_path = r"D:\Work\nginx-1.19.0\logs\access-2021-04-27T09.log"
    # 查看文件大小
    file_size = os.path.getsize(file_path)
    print(file_size)
    print(file_size / 1024 / 1024 / 1024, "G")
    # 100m大小切割为一个文件
    file_count = int(file_size / (100 * 1024 * 1024)) + 1
    print(file_count)

    file_number = 1
    with open(file_path, 'r') as rf:
        chunk_number = 0
        while True:
            temp_file_name = "file" + str(file_number) + ".log"
            # 每次读取1m
            with open(temp_file_name, 'a+') as wf:
                chunk_data = rf.read(1024 * 1024)
                # 读取出来的没有数据了，就跳出
                if chunk_data is None:
                    break
                wf.write(chunk_data)
            chunk_number += 1
            # 10次之后切换下一个文件
            if chunk_number >= 100:
                file_number += 1
                chunk_number = 0
            # 大于分配的文件数量也跳出
            if file_number > file_count:
                break
